Capsule API Example

Loading...
Searching...
No Matches
Classes | Typedefs | Enumerations | Functions
CProductivity.h File Reference
`#include "CDefinesPrivate.h"`
`#include "CError.h"`
`#include "CNFBCalibrator.h"`
`#include <stddef.h>`

Go to the source code of this file.

## Classes
struct | clCProductivity_Metrics
struct | clCProductivity_Indexes
struct | clCProductivity_Baselines

## Typedefs
typedef enum clCProductivity_FatigueGrowthRate | clCProductivity_FatigueGrowthRate
typedef struct clCProductivity_Metrics | clCProductivity_Metrics
typedef enum clCProductivity_RecommendationValue | clCProductivity_RecommendationValue
typedef enum clCProductivity_StressValue | clCProductivity_StressValue
typedef struct clCProductivity_Indexes | clCProductivity_Indexes
typedef struct clCProductivity_Baselines | clCProductivity_Baselines
typedef void(* | clCProductivity_BaselineCalibratedHandler) (clCProductivity, const clCProductivity_Baselines *) NOEXCEPT
typedef void(* | clCProductivity_MetricsUpdateHandler) (clCProductivity, const clCProductivity_Metrics *) NOEXCEPT
typedef void(* | clCProductivity_IndexesStateUpdateHandler) (clCProductivity, const clCProductivity_Indexes *) NOEXCEPT
typedef void(* | clCProductivity_CalibrationProgressUpdateHandler) (clCProductivity, float) NOEXCEPT
typedef void(* | clCProductivity_IndividualNFBUpdateHandler) (clCProductivity) NOEXCEPT

## Enumerations
enum | clCProductivity_FatigueGrowthRate { clCProductivity_FatigueGrowthRate_None , clCProductivity_FatigueGrowthRate_Low , clCProductivity_FatigueGrowthRate_Medium , clCProductivity_FatigueGrowthRate_High }
enum | clCProductivity_RecommendationValue { clCProductivity_RecommendationValue_NoRecommendation , clCProductivity_RecommendationValue_Involvement , clCProductivity_RecommendationValue_Relaxation , clCProductivity_RecommendationValue_SlightFatigue , clCProductivity_RecommendationValue_SevereFatigue , clCProductivity_RecommendationValue_ChronicFatigue }
enum | clCProductivity_StressValue { clCProductivity_StressValue_NoStress , clCProductivity_StressValue_Anxiety , clCProductivity_StressValue_Stress }

## Functions
| CLC_CLASS_WN (ClassificationProductivityPrivate, clCProductivity)
CL_DLL clCProductivity | clCProductivity_Create (clCDevice device, clCError *error) NOEXCEPT
CL_DLL clCProductivity | clCProductivity_CreateWithIndividualData (clCDevice device, const clCIndividualNFBData *data, clCError *error) NOEXCEPT
CL_DLL void | clCProductivity_ImportBaselines (clCProductivity productivity, const clCProductivity_Baselines *baselines, clCError *error) NOEXCEPT
CL_DLL void | clCProductivity_ResetAccumulatedFatigue (clCProductivity productivity, clCError *error) NOEXCEPT
CL_DLL void | clCProductivity_StartBaselineCalibration (clCProductivity productivity) NOEXCEPT
CL_DLL void | clCProductivity_SetOnBaselineUpdateEvent (clCProductivity productivityPtr, clCProductivity_BaselineCalibratedHandler handler) NOEXCEPT
CL_DLL void | clCProductivity_SetOnMetricsUpdateEvent (clCProductivity productivityPtr, clCProductivity_MetricsUpdateHandler handler) NOEXCEPT
CL_DLL void | clCProductivity_SetOnIndexesUpdateEvent (clCProductivity productivityPtr, clCProductivity_IndexesStateUpdateHandler handler) NOEXCEPT
CL_DLL void | clCProductivity_SetOnCalibrationProgressUpdateEvent (clCProductivity productivity, clCProductivity_CalibrationProgressUpdateHandler handler) NOEXCEPT
CL_DLL void | clCProductivity_SetOnIndividualNFBUpdateEvent (clCProductivity productivity, clCProductivity_IndividualNFBUpdateHandler handler) NOEXCEPT

## Typedef Documentation

## ◆ clCProductivity_BaselineCalibratedHandler

typedef void(* clCProductivity_BaselineCalibratedHandler) (clCProductivity, const clCProductivity_Baselines *) NOEXCEPT

## ◆ clCProductivity_Baselines

typedef struct clCProductivity_Baselines clCProductivity_Baselines

## ◆ clCProductivity_CalibrationProgressUpdateHandler

typedef void(* clCProductivity_CalibrationProgressUpdateHandler) (clCProductivity, float) NOEXCEPT

## ◆ clCProductivity_FatigueGrowthRate

typedef enum clCProductivity_FatigueGrowthRate clCProductivity_FatigueGrowthRate

## ◆ clCProductivity_Indexes

typedef struct clCProductivity_Indexes clCProductivity_Indexes

## ◆ clCProductivity_IndexesStateUpdateHandler

typedef void(* clCProductivity_IndexesStateUpdateHandler) (clCProductivity, const clCProductivity_Indexes *) NOEXCEPT

## ◆ clCProductivity_IndividualNFBUpdateHandler

typedef void(* clCProductivity_IndividualNFBUpdateHandler) (clCProductivity) NOEXCEPT

## ◆ clCProductivity_Metrics

typedef struct clCProductivity_Metrics clCProductivity_Metrics

## ◆ clCProductivity_MetricsUpdateHandler

typedef void(* clCProductivity_MetricsUpdateHandler) (clCProductivity, const clCProductivity_Metrics *) NOEXCEPT

## ◆ clCProductivity_RecommendationValue

typedef enum clCProductivity_RecommendationValue clCProductivity_RecommendationValue

## ◆ clCProductivity_StressValue

typedef enum clCProductivity_StressValue clCProductivity_StressValue

## Enumeration Type Documentation

## ◆ clCProductivity_FatigueGrowthRate

enum clCProductivity_FatigueGrowthRate

Enumerator
clCProductivity_FatigueGrowthRate_None |
clCProductivity_FatigueGrowthRate_Low |
clCProductivity_FatigueGrowthRate_Medium |
clCProductivity_FatigueGrowthRate_High |

## ◆ clCProductivity_RecommendationValue

enum clCProductivity_RecommendationValue

Enumerator
clCProductivity_RecommendationValue_NoRecommendation |
clCProductivity_RecommendationValue_Involvement |
clCProductivity_RecommendationValue_Relaxation |
clCProductivity_RecommendationValue_SlightFatigue |
clCProductivity_RecommendationValue_SevereFatigue |
clCProductivity_RecommendationValue_ChronicFatigue |

## ◆ clCProductivity_StressValue

enum clCProductivity_StressValue

Enumerator
clCProductivity_StressValue_NoStress |
clCProductivity_StressValue_Anxiety |
clCProductivity_StressValue_Stress |

## Function Documentation

## ◆ CLC_CLASS_WN()

CLC_CLASS_WN | ( | ClassificationProductivityPrivate | ,
|  | clCProductivity | )

## ◆ clCProductivity_Create()

CL_DLL clCProductivity clCProductivity_Create | ( | clCDevice | device,
|  | clCError * | error )

## ◆ clCProductivity_CreateWithIndividualData()

CL_DLL clCProductivity clCProductivity_CreateWithIndividualData | ( | clCDevice | device,
|  | const clCIndividualNFBData * | data,
|  | clCError * | error )

## ◆ clCProductivity_ImportBaselines()

CL_DLL void clCProductivity_ImportBaselines | ( | clCProductivity | productivity,
|  | const clCProductivity_Baselines * | baselines,
|  | clCError * | error )

## ◆ clCProductivity_ResetAccumulatedFatigue()

CL_DLL void clCProductivity_ResetAccumulatedFatigue | ( | clCProductivity | productivity,
|  | clCError * | error )

## ◆ clCProductivity_SetOnBaselineUpdateEvent()

CL_DLL void clCProductivity_SetOnBaselineUpdateEvent | ( | clCProductivity | productivityPtr,
|  | clCProductivity_BaselineCalibratedHandler | handler )

## ◆ clCProductivity_SetOnCalibrationProgressUpdateEvent()

CL_DLL void clCProductivity_SetOnCalibrationProgressUpdateEvent | ( | clCProductivity | productivity,
|  | clCProductivity_CalibrationProgressUpdateHandler | handler )

## ◆ clCProductivity_SetOnIndexesUpdateEvent()

CL_DLL void clCProductivity_SetOnIndexesUpdateEvent | ( | clCProductivity | productivityPtr,
|  | clCProductivity_IndexesStateUpdateHandler | handler )

## ◆ clCProductivity_SetOnIndividualNFBUpdateEvent()

CL_DLL void clCProductivity_SetOnIndividualNFBUpdateEvent | ( | clCProductivity | productivity,
|  | clCProductivity_IndividualNFBUpdateHandler | handler )

## ◆ clCProductivity_SetOnMetricsUpdateEvent()

CL_DLL void clCProductivity_SetOnMetricsUpdateEvent | ( | clCProductivity | productivityPtr,
|  | clCProductivity_MetricsUpdateHandler | handler )

## ◆ clCProductivity_StartBaselineCalibration()

CL_DLL void clCProductivity_StartBaselineCalibration | ( | clCProductivity | productivity | ) |